# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define _name pango
%define ver_major 1.20
%define module_ver 1.6.0
%def_disable static
%def_enable gtk_doc

Name: lib%_name
Version: %ver_major.5
Release: alt0.M41.1

Summary: System for layout and rendering of internationalized text
License: %lgpl2plus
Group: System/Libraries
Url: http://www.pango.org/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%_name/%ver_major/%_name-%version.tar.bz2

Patch10: %name-1.18-symbol-versioning.patch
Source10: %{name}-%ver_major-symver.map
Source11: %{name}cairo-%ver_major-symver.map
Source12: %{name}ft2-%ver_major-symver.map

Provides: %_name = %version-%release
Obsoletes: %_name < %version-1.16
Obsoletes: gscript

# From configure.in
%define glib_ver 2.14.0
%define cairo_ver 1.2.6
%define gtk_doc_ver 1.0
%define xft_ver 2.0.0

%define pkgconfig_ver 0.15-alt3.2
%define freetype2_ver 2.1.4
%define fontconfig_ver 2.2.1-alt2

# We need to prereq these so we can run pango-querymodules in post
PreReq: glib2 >= %glib_ver
PreReq: libXft

BuildPreReq: rpm-build-gnome
BuildPreReq: rpm-build-licenses

BuildPreReq: gnome-common
BuildPreReq: libXt-devel libX11-devel
BuildPreReq: fontconfig-devel >= %fontconfig_ver
BuildPreReq: freetype2-devel >= %freetype2_ver
BuildPreReq: libXft-devel
BuildPreReq: libcairo-devel >= %cairo_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver
# Needed for man pages generation
BuildPreReq: xsltproc docbook-dtds docbook-style-xsl
BuildPreReq: pkgconfig >= %pkgconfig_ver

BuildRequires: zlib-devel

BuildRequires: rpm-build-compat >= 0.95

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.

%package devel
Summary: Development libraries and header files for pango
Group: Development/C
Provides: %_name-devel = %version-%release
Obsoletes: %_name-devel < %version-1.16
Requires: %name = %version-%release

%description devel
The pango-devel package includes the libraries and header files
for the pango package.

%if_enabled gtk_doc
%package devel-doc
Summary: Development documentation for Pango
Group: Development/C
Conflicts: %name < %version-%release

%description devel-doc
Pango is a library to handle unicode strings as well as complex
bidirectional or context dependent shaped strings.

This package contains development documentation for Pango.
%endif

%if_enabled static
%package devel-static
Summary: Static libraries for pango
Group: Development/C

%description devel-static
The pango-devel package includes the static libraries for the pango package.
%endif

%prep
%setup -q -n %_name-%version

# Add our parts about symbols versioning
#patch10
install -p -m644 %SOURCE10 pango/libpango-1.0-altlinux.ver
install -p -m644 %SOURCE11 pango/libpangocairo-1.0-altlinux.ver
install -p -m644 %SOURCE12 pango/libpangoft2-1.0-altlinux.ver

%build
%autoreconf
%configure \
    %{subst_enable static} \
    --enable-man \
%if_enabled gtk_doc
    --enable-gtk-doc \
%endif
    --enable-explicit-deps \

%make_build
tests/runtests.sh

%install
%makeinstall

%post
%post_ldconfig
%_bindir/pango-querymodules >/etc/pango/pango.modules
chmod 644 /etc/pango/pango.modules

%postun -p %postun_ldconfig

%files
%_bindir/%_name-querymodules
%_bindir/%_name-view
%dir %_libdir/%_name
%dir %_libdir/%_name/%module_ver
%dir %_libdir/%_name/%module_ver/modules
%_libdir/%name-1.0.so.*
%_libdir/%{name}cairo-1.0.so.*
%_libdir/%{name}ft2-1.0.so.*
%_libdir/%{name}x-1.0.so.*
%_libdir/%{name}xft-1.0.so.*
%_libdir/%_name/%module_ver/*/*.so
%dir %_sysconfdir/%_name
%config %_sysconfdir/%_name/pangox.aliases
%ghost %_sysconfdir/%_name/%_name.modules
%_man1dir/%_name-querymodules.*
%doc README AUTHORS ChangeLog

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%if_enabled gtk_doc
%files devel-doc
%_datadir/gtk-doc/html/*
%endif

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/%_name/%module_ver/*/*.a
%endif

%exclude %_libdir/%_name/%module_ver/modules/*.la

%changelog
* Wed Aug 20 2008 Yuri N. Sedunov <aris@altlinux.org> 1.20.5-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Wed Jul 02 2008 Yuri N. Sedunov <aris@altlinux.org> 1.20.5-alt1
- 1.20.5

* Sun Jun 08 2008 Yuri N. Sedunov <aris@altlinux.org> 1.20.3-alt1
- 1.20.3

* Tue Mar 11 2008 Alexey Rusakov <ktirf@altlinux.org> 1.20.0-alt1
- New version (1.20.0).

* Wed Mar 05 2008 Alexey Rusakov <ktirf@altlinux.org> 1.19.4-alt1
- New version (1.19.4).
- Added symbols versioning.
- Massive spec cleanup.
- Added tests invocation when building.

* Thu Sep 20 2007 Igor Zubkov <icesik@altlinux.org> 1.18.2-alt1
- 1.16.2 -> 1.18.2

* Wed May 16 2007 Alexey Rusakov <ktirf@altlinux.org> 1.16.2-alt1
- new version (1.16.2)
- updated dependencies; removed some from -devel subpackage, letting
  pkgconfig to do the work; expect some small sisy-quake.

* Wed Jan 31 2007 Alexey Rusakov <ktirf@altlinux.org> 1.14.10-alt1
- new version 1.14.10 (with rpmrb script)

* Mon Dec 25 2006 Alexey Rusakov <ktirf@altlinux.org> 1.14.9-alt1
- new version 1.14.9 (with rpmrb script)

* Sat Oct 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.7-alt1
- new version 1.14.7 (with rpmrb script)

* Fri Oct 13 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.6-alt1
- new version 1.14.6 (with rpmrb script)

* Fri Oct 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.5-alt1
- new version (1.14.5)
- fixed building on x86_64.

* Sat Sep 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.4-alt1
- new version 1.14.4 (with rpmrb script)

* Tue Sep 05 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.3-alt1
- new version 1.14.3 (with rpmrb script)

* Thu Aug 24 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.2-alt1
- new version 1.14.2 (with rpmrb script)

* Thu Aug 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.0-alt2
- updated versions of required packages.
- made the list of files more accurate.

* Wed Aug 09 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.0-alt1
- new version 1.14.0 (with rpmrb script)

* Fri Jul 21 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.13.0-alt1
- new version 1.13.0, for GTK-on-DirectFB project.

* Sun May 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.12.3-alt1
- new version 1.12.3 (with rpmrb script)

* Sun Apr 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.12.2-alt1
- new version 1.12.2 (with rpmrb script)

* Sat Apr 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.12.1-alt1
- new version 1.12.1 (with rpmrb script)

* Wed Mar 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.12.0-alt1
- new version 1.12.0 (with rpmrb script)

* Sun Mar 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.11.99-alt1
- new version (1.11.99)

* Wed Feb 22 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.11.6-alt1
- new version

* Sun Feb 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.11.5-alt1
- new version

* Sat Feb 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.11.4-alt1
- new version
- the viewer is now gtk-based and is included in libpango package.

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.10.1-alt1
- new version

* Mon Aug 29 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.10.0-alt1
- 1.10.0

* Sat Mar 05 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.8.1-alt1
- 1.8.1

* Thu Dec 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.8.0-alt1
- 1.8.0

* Fri Dec 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.7.0-alt1
- 1.7.0
- documentation moved to devel-doc subpackage. 

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt1
- 1.6.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.2-alt1
- 1.5.2

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Tue Mar 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.6-alt1
- 1.3.6
- prereqs libXft (close #3794)

* Tue Mar 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.5-alt1
- 1.3.5

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.3-alt1
- 1.3.3

* Fri Jan 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Fri Jan 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.1-alt2
- make relaxed libXft dependencies.

* Wed Dec 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.1-alt1
- 1.3.1

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.5-alt1
- 1.2.5
- do not package .la files.

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Tue Jun 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Fri May 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.2-alt1
- 1.2.2
- groups changed to System/Libraries.

* Tue Feb 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt2
- Add caching of fontsets (patch from cvs).

* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Sat Dec 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Wed Dec 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1
- Building static libraries disabled to prevent dependencies on
  Xft version 1.

* Fri Sep 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt2
- Removed wrong dependencies (#1287).

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt1
- 1.0.4
- (inger) made qt-viewer building optional (use --with viewer to build it)
- (inger) update buildreqs

* Tue Jun 24 2002 Igor Androsov <blake@altlinux.ru> 1.0.3-alt2
- Removed "fixed-ltmains.sh"
	+ SMP-compatible build
	+ other small fixes and cleanups.
- Rename source package (libpango -> pango)	
- rebuild with new freetype2

* Fri Jun 14 2002 Igor Androsov <blake@altlinux.ru> 1.0.3-alt1
- New release

* Sun Jun 02 2002 Igor Androsov <blake@altlinux.ru> 1.0.2-alt3
- Fixed lost gtk-doc documentation

* Wed May 29 2002 Igor Androsov <blake@altlinux.ru> 1.0.2-alt2
- Return removed in 1.0.1-alt2 "fixed-ltmains.sh" - fixed no building package if host wheare building not have libpango.

* Tue May 28 2002 Igor Androsov <blake@altlinux.ru> 1.0.2-alt1
- New release

* Wed May 22 2002 Igor Androsov <blake@altlinux.ru> 1.0.1-alt2
- Fix gtk-doc dir

* Sun Mar 31 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version

* Wed Mar 27 2002 AEN <aen@logic.ru> 1.0.0-alt1
- release

* Thu Jan 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.23.90-alt2
- fix bug #0000091

* Wed Jan 09 2002 AEN <aen@logic.ru> 0.23.90-alt1
- new version

* Wed Oct 17 2001 AEN <aen@logic.ru> 0.20-alt1
- new version

* Tue Sep 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.18-alt2
- Corrected requires.

* Fri Sep 21 2001 Stanislav Ievlev <inger@altlinux.ru> 0.18-alt1
- 0.18

* Mon Aug 13 2001 AEN <aen@logic.ru> 0.17-alt2
- freetype2 patch

* Mon Jun 18 2001 AEN <aen@logic.ru> 0.17-alt1
- new version
- revised reauires

* Thu May 31 2001 Stanislav Ievlev <inger@altlinux.ru> 0.16-alt1
- 0.16

* Fri Apr 20 2001 Stanislav Ievlev <inger@altlinux.ru> 0.15-alt1
- Up to 0.15

* Fri Mar 30 2001 Stanislav Ievlev <inger@altlinux.ru> 0.13-alt1
- Spec bugfix, librification and upgrade to 0.13

* Tue Jan 16 2001 AEN <aen@logic.ru>
- RE adaptations

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-3mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- fix %% post (was writing to %%/var/lib/pango instead of /var/lib/pango)

* Sat Apr 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- corrected conflicts in %files section
- added orphaned directories & files

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.8-1mdk
- Initial Mandrake Release
- spec-helper
- fixed groups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file

